<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.a.sds.s.d.select</name>
<version>1</version>
<engineversion>25</engineversion>
<description>Anpassen der Kommandkonsolenbefehle</description>
<arguments>
<argument index="1" name="Ship" type="Var/Ship" desc="Ship" />
<argument index="2" name="Upgrade" type="Value" desc="Upgrade" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>$Returnvalue&#160;=&#160;</var><var>1</var></line>
<line linenr="002" indent=""><var>skip&#160;if&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;get&#160;homebase</text></line>
<line linenr="003" indent="&#160;"><var>$Returnvalue&#160;=&#160;</var><var>2</var></line>
<line linenr="004" indent=""><var>if&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;is&#160;of&#160;class&#160;</text><var>Big&#160;Ship</var></line>
<line linenr="005" indent="&#160;"><var>if&#160;not&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;is&#160;of&#160;class&#160;</text><var>Cruiser&#160;M6</var></line>
<line linenr="006" indent="&#160;&#160;"><var>$Returnvalue&#160;=&#160;</var><var>0</var></line>
<line linenr="007" indent="&#160;"><text>end</text></line>
<line linenr="008" indent=""><text>end</text></line>
<line linenr="009" indent=""><var>skip&#160;if&#160;</var><var>[PLAYERSHIP]</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>$Ship</var></line>
<line linenr="010" indent="&#160;"><var>$Returnvalue&#160;=&#160;</var><var>0</var></line>
<line linenr="011" indent=""><text>return&#160;</text><var>$Returnvalue</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.a.sds.s.d.select" /><sval type="int" val="25" /><sval type="string" val="Anpassen der Kommandkonsolenbefehle" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="array" size="3"><sval type="string" val="Ship" /><sval type="string" val="Upgrade" /><sval type="string" val="Returnvalue" /></sval><sval type="array" size="9"><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="704" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-536870137" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="705" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610611197" /><sval type="int" val="12" /><sval type="int" val="2073" /></sval><sval type="array" size="6"><sval type="int" val="705" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-536869372" /><sval type="int" val="12" /><sval type="int" val="2026" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536868857" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="65539" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="1" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval></sval><sval type="array" size="2"><sval type="array" size="2"><sval type="int" val="21" /><sval type="string" val="Ship" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="string" val="Upgrade" /></sval></sval><sval type="array" size="2"><sval type="array" size="2"><sval type="int" val="6" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="6" /><sval type="int" val="4" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
